---
# Configure the windows_exporter service and restart if required
- name: Configure windows_exporter
  win_service:
    name: windows_exporter
    path: '"C:\Program Files\windows_exporter\windows_exporter.exe" --collectors.enabled {{ joined_collectors }} --collector.process.whitelist="filebeat.*" --collector.service.services-where="Name=''filebeat''" --collector.process.translate'
  notify: "Restart windows_exporter"
